### Class

# Gtk AssistantPage

deprecated: 4.10 since: 4.0

#### Description [src]

    final class Gtk.AssistantPage : GObject.Object
    {
      /* No available fields */
    }

`GtkAssistantPage` is an auxiliary object used by `GtkAssistant.

Available since: 4.0

Deprecated since: 4.10

This object will be removed in GTK 5

#### Ancestors

- GObject

#### Instance methods

###### gtk_assistant_page_get_child

Returns the child to which `page` belongs.

deprecated: 4.10 since: 4.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gtk.AssistantPage:child

The child widget.

deprecated: 4.10 since: 4.0

###### Gtk.AssistantPage:complete

Whether all required fields are filled in.

deprecated: 4.10 since: 4.0

###### Gtk.AssistantPage:page-type

The type of the assistant page.

deprecated: 4.10 since: 4.0

###### Gtk.AssistantPage:title

The title of the page.

deprecated: 4.10 since: 4.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0